Bug 856137 - [engine-core] User able attach disk in locked status to VM
[engine-core] User able attach disk in locked status to VM
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity high
: ---
: 3.1.0
Assigned To: Asaf Shakarchi
vvyazmin@redhat.com
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 05:29 EDT by vvyazmin@redhat.com
Modified: 2016-02-10 15:31 EST (History)
12 users (show)

See Also:
Fixed In Version: SI20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:05:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Logs vdsm, rhevm, screen-shots (2.75 MB, application/x-gzip)
2012-09-11 05:29 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2012-09-11 05:29:21 EDT
Created attachment 611709 [details]
## Logs vdsm, rhevm, screen-shots

Description of problem:
Succeed attached disks with locked status to VMs

Version-Release number of selected component (if applicable):
RHEVM 3.1 - SI17 

RHEVM: rhevm-3.1.0-15.el6ev.noarch 
VDSM: vdsm-4.9.6-32.0.el6_3.x86_64 
LIBVIRT: libvirt-0.9.10-21.el6_3.4.x86_64 
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6_3.2.x86_64 
SANLOCK: sanlock-2.3-3.el6_3.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Create 10 floating disk
2. Select them all, and delete
3. During deleting restart “ovirt-engine” service
4. Same disk get “Locked” status
5. Attached those disk to VM
  
Actual results:
Succeeded attached disks with “Locked” status
In adding action, can see those disks

Expected results:
Block attached disks action with “Locked” status
Block view those disks in adding disks to VM

Additional info:
Comment 2 Asaf Shakarchi 2012-09-27 10:57:21 EDT
Patch submitted: http://gerrit.ovirt.org/#/c/8167/
Comment 3 Allon Mureinik 2012-10-03 07:28:06 EDT
merged change id I109654547b68da245a5fdc2b2188feedd45c2ca7
Comment 4 Leonid Natapov 2012-10-14 06:09:57 EDT
si20. fixed.

Note You need to log in before you can comment on or make changes to this bug.